import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { MTLVertexStepFunction } from "./MTLVertexStepFunction.js";
export declare class _MTLVertexBufferLayoutDescriptor extends _NSObject {
    static alloc(): _MTLVertexBufferLayoutDescriptor;
    static new(): _MTLVertexBufferLayoutDescriptor;
    init(): _MTLVertexBufferLayoutDescriptor;
    stride(): number;
    setStride$(value: number): void;
    stepFunction(): MTLVertexStepFunction;
    setStepFunction$(value: MTLVertexStepFunction): void;
    stepRate(): number;
    setStepRate$(value: number): void;
}
export interface _MTLVertexBufferLayoutDescriptor extends _NSCopying {
}
